Summary: Mozilla Universal Chardet library
Summary(ko): 모질라 유니버샬 캐릭터셋 디텍트 라이브러리
Name: libchardet
Version: 1.0.5
Release: 1%{?dist}
Epoch: 1
License: MPL
Group: System Environment/Libraries
Source0: https://github.com/Joungkyun/libchardet/archive/%{version}.tar.gz
URL: http://devel.oops.org
BuildRequires: libstdc++-devel
Requires: libstdc++

Buildroot: /var/tmp/%{name}-%{version}-root

%description
libchardet provides an interface to Mozilla's universal charset detector,
which detects the charset used to encode data.

%package devel
Summary: Header and object files for development using libchardet
Summary(ko): libchardet 를 이용하여 개발하기 위한 header 파일과 목적 파일들
Group: System Environment/Libraries
Requires: %{name} libstdc++-devel

%description devel
The libchardet-devel package contains the header and object files necessary
for developing programs which use the libchardet libraries.

%prep
%{__rm} -rf %{buildroot}
%setup -q -n %{name}-%{version}

%build
%configure

%{__make} %{?_smp_mflags}

%install
%{__make} DESTDIR=%{buildroot} install

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(0755,root,root)
%{_libdir}/%{name}.so.*

%files devel
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/chardet-config
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/chardet.pc
%{_includedir}/chardet/*.h
%{_mandir}/man3/*
%{_mandir}/ko/man3/*

%changelog
* Mon Mar 16 2015 JoungKyun.Kim <http://oops.org> 1:1.0.5-1%{?dist}
- update 1.0.5
- #2 Improve single-byte charset detection confidence algorithm
- #3 update model of Greek, Hungarian and Thai
- #4 new language model from uchardet
- #5 no detect control character on US-ASCII
- #6 can not detect EUC extended area
- #8 can't detect utf-16 and utf-32
- fixed man pages

* Sat Feb 15 2014 JoungKyun.Kim <http://oops.org> 1:1.0.3-2%{?dist}
- fixed duplicated path on pkgconfig

* Mon Feb 10 2014 JoungKyun.Kim <http://oops.org> 1:1.0.3-1%{?dist}
- fixed comparison on JpCntx.cpp
- add chardet.pc

* Mon Jul  5 2010 JoungKyun.Kim <http://oops.org> 1:1.0.2-1
- support visibility attribute on gcc4.

* Mon Feb 23 2009 JoungKyun.Kim <http://oops.org> 1:1.0.1-1
- update 1.0.1

* Fri Feb 20 2009 JoungKyun.Kim <http://oops.org> 1:1.0.0-1
- first packing
